Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007294OCamltools (ocaml{lex,yacc,dep,debug,...})public2016-07-20 10:182016-10-26 17:00
Reporterfrisch 
Assigned Tochambart 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.05.0 +dev/beta1/beta2/beta3/rc1Fixed in Version4.05.0 +dev/beta1/beta2/beta3/rc1 
Summary0007294: ocamlobjinfo : printing of "approximations" broken with flambda
DescriptionThe function Export_info.print_approx is broken, which makes the output of ocamlobjinfo for .cmx produced with flambda incomplete.

This function maintains a queue of symbols to print. The problem is that this queue is initially empty, so nothing is ever printed.
TagsNo tags attached.
Attached Filesdiff file icon 7294.diff [^] (1,486 bytes) 2016-07-20 10:46 [Show Content]

- Relationships

-  Notes
(0016099)
frisch (developer)
2016-07-20 10:47

Attached a patch that seems to fix the issue, although passing the global symbol through the global reference in Compilation_unit is not very satisfactory.
(0016293)
chambart (developer)
2016-09-13 21:27
edited on: 2016-09-13 21:28

See https://github.com/ocaml/ocaml/pull/809 [^]

I added an additional argument to the function to avoid this. I might reconsider and directly add the root symbols to Export_info.t . But this is certainly sufficient for now. This was the case originally, and the field was removed at some point and not fixed.


- Issue History
Date Modified Username Field Change
2016-07-20 10:18 frisch New Issue
2016-07-20 10:46 frisch File Added: 7294.diff
2016-07-20 10:47 frisch Note Added: 0016099
2016-09-08 11:14 shinwell Status new => acknowledged
2016-09-08 12:06 shinwell Assigned To => chambart
2016-09-08 12:06 shinwell Status acknowledged => assigned
2016-09-13 21:27 chambart Note Added: 0016293
2016-09-13 21:28 chambart Note Edited: 0016293 View Revisions
2016-09-28 12:34 frisch Resolution open => fixed
2016-09-28 12:34 frisch Fixed in Version => 4.05.0 +dev/beta1/beta2/beta3/rc1
2016-10-26 17:00 doligez Status assigned => closed
2016-10-26 17:00 doligez Target Version 4.04.0 +dev / +beta1 / +beta2 => 4.05.0 +dev/beta1/beta2/beta3/rc1
2016-12-07 16:37 doligez Category OCaml tools (ocaml{lex,yacc,dep,browser,debug}) => OCaml tools (ocaml{lex,yacc,dep,debug})
2017-02-23 16:45 doligez Category OCaml tools (ocaml{lex,yacc,dep,debug}) => tools (ocaml{lex,yacc,dep,debug,...})


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker